package net.phatcode.rel;

import net.phatcode.rel.math.Utils;

public class TurretRotateBehaviorDefault extends TurretBehavior
{

	@Override
	public void update( Turret turret )
	{
		turret.angle = Utils.wrap( turret.angle + turret.angleDelta * turret.angleDirection,
				   turret.minAngle, turret.maxAngle );
	}
	
}
